%define gittag %(echo %version | cut -d. -f5)
Name:          amarok
Version:       2.9.71.20220415git.276ffa5a4
Release:       1mamba
Epoch:         1
Summary:       A powerful music player for KDE
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://amarok.kde.org
Source:        https://github.com/KDE/amarok.git/master@%{gittag?%gittag:"dont"}/amarok-%{version}.tar.bz2
Patch0:        amarok-2.8.0-x86_64-include-QSharedPointer.patch
Patch1:        amarok-2.8.0-libtag-1.10.patch
Patch2:        amarok-2.8.0-ffmpeg-3.0.patch
Patch3:        amarok-2.9.75-ffmpeg-5.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libattica5-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libfftw-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgpod-devel
BuildRequires: libkarchive-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libkdnssd-devel
BuildRequires: libkglobalaccel-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libknewstuff-devel
BuildRequires: libknotifications-devel
BuildRequires: libkpackage-devel
BuildRequires: libkservice-devel
BuildRequires: libktexteditor-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: liblastfm5-devel
BuildRequires: libmariadb-devel
BuildRequires: libmtp-devel
BuildRequires: libmygpo-qt-devel
BuildRequires: libofa-devel
BuildRequires: libphonon-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtag-devel
BuildRequires: libtag-extras-devel
BuildRequires: libthreadweaver-devel
BuildRequires: perl-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: coreutils
#BuildRequires: libmpeg4ip-devel
BuildRequires: ldconfig
BuildRequires: doxygen
BuildRequires: pkgconfig
BuildRequires: gettext-devel
BuildRequires: libxml2-utils
BuildRequires: libtag-devel >= 1.10
BuildRequires: gmock-devel
BuildRequires: liblastfm5-devel >= 1.1.0
BuildRequires: libmygpo-qt-devel >= 1.1.0
BuildRequires: libmariadb-devel >= 10.4.13
BuildRequires: clamz
BuildRequires: qtscriptgenerator
Requires:      libvisual-plugins
Requires:      moodbar
Requires:      ruby
Requires:      qtscriptgenerator
Requires:      clamz
Provides:      amarok4
Obsoletes:     amarok4 < 1:2.9.75
Obsoletes:     amarok-engine-xine < 1:2.9.75
Obsoletes:     amarok-i18n-da < 1:2.9.75
Obsoletes:     amarok-i18n-de < 1:2.9.75
Obsoletes:     amarok-i18n-es < 1:2.9.75
Obsoletes:     amarok-i18n-et < 1:2.9.75
Obsoletes:     amarok-i18n-fr < 1:2.9.75
Obsoletes:     amarok-i18n-it < 1:2.9.75
Obsoletes:     amarok-i18n-nl < 1:2.9.75
Obsoletes:     amarok-i18n-pl < 1:2.9.75
Obsoletes:     amarok-i18n-pt < 1:2.9.75
Obsoletes:     amarok-i18n-pt_BR < 1:2.9.75
Obsoletes:     amarok-i18n-ru < 1:2.9.75
Obsoletes:     amarok-i18n-sv < 1:2.9.75
Obsoletes:     libamarok < 1:2.9.75
Obsoletes:     libamarok-devel < 1:2.9.75

%description
Amarok is a powerful music player for Linux and Unix, MacOS X and Windows with an intuitive interface:
 - fresh playlist concept, very fast to use, with drag and drop
 - plays all formats supported by aRts, including mp3, ogg, audio CDs, streams
 - audio effects, like reverb and compressor
 - compatible with the .m3u and .pls formats for playlists
 - nice GUI, integrates into the KDE look, but with a unique touch

%debug_package

%prep
%setup -q -n amarok-%{version}
#-D -T
#:<< _EOF
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
%patch3 -p1 -b .ffmpeg-5.0

sed -i "s|mygpo-qt5/|mygpo-qt/|" src/services/gpodder/*.h src/services/gpodder/*.cpp

%build
#:<< _EOF
%cmake_kde5 -d build

%make

%define __os_install_post %{nil}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --with-html --all-name || touch %{name}5_qt.lang

# remove unpackaged files
#rm -f %{buildroot}%{_kde4_libdir}/libamarok{-sqlcollection,ocsclient}.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
   update-desktop-database -q &>/dev/null
   touch --no-create %{_kde5_iconsdir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde5_iconsdir}/hicolor &>/dev/null
fi
exit 0

%posttrans
update-desktop-database -q &>/dev/null
gtk-update-icon-cache %{_kde5_iconsdir}/hicolor &>/dev/null
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/*
%{_kde5_libdir}/libamarokcore.so
%{_kde5_libdir}/libamarokcore.so.*
%{_kde5_libdir}/libamaroklib.so*
%{_kde5_libdir}/libamarok-sqlcollection.so*
%{_kde5_libdir}/libamarok-transcoding.so
%{_kde5_libdir}/libamarok-transcoding.so.*
%{_kde5_libdir}/libamarokpud.so
%{_kde5_libdir}/libamarokshared.so
%{_kde5_libdir}/libamarokshared.so.*
%{_libdir}/libamarok_service_lastfm_config.so
%{_kde5_libdir}/libampache_account_login.so
%{_libdir}/libgpodder_service_config.so
%{_libdir}/qt5/plugins/amarok_*.so
%{_libdir}/qt5/plugins/kcm_amarok_service_*.so
%dir %{_libdir}/qt5/qml/org/kde/amarok
%{_libdir}/qt5/qml/org/kde/amarok/*
%{_datadir}/dbus-1/interfaces/org.kde.amarok.*.xml
%{_datadir}/dbus-1/services/org.kde.amarok.service
%{_kde5_sharedir}/metainfo/org.kde.amarok.*.xml
%{_datadir}/applications/org.kde.amarok*.desktop
%{_datadir}/metainfo/org.kde.amarok.context.appdata.xml
%{_datadir}/knotifications5/amarok.notifyrc
%dir %{_datadir}/kpackage/amarok
%{_datadir}/kpackage/amarok/*
%dir %{_datadir}/kpackage/genericqml/org.kde.amarok.context
%{_datadir}/kpackage/genericqml/org.kde.amarok.context/*
%{_kde5_datadir}/amarok
%{_kde5_datadir}/solid/actions/amarok-play-audiocd.desktop
%{_kde5_datadir}/kconf_update/*
%{_kde5_kcfgdir}/amarokconfig.kcfg
%{_kde5_configdir}/amarok_homerc
%{_datadir}/knsrcfiles/amarok.knsrc
%{_kde5_dbusinterfacesdir}/org.kde.amarok.Collection.xml
%{_kde5_icondir}/hicolor/*/apps/amarok.png
%{_kde5_servicesdir}/ServiceMenus/*.desktop
%{_kde5_servicesdir}/*.desktop
%{_kde5_servicesdir}/*.protocol
%{_kde5_servicetypesdir}/*.desktop
%doc AUTHORS COPYING

%changelog
* Fri Apr 15 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.71.20220415git.276ffa5a4-1mamba
- update to 2.9.71.20220415git.276ffa5a4

* Tue Feb 09 2021 Automatic Build System <autodist@mambasoft.it> 2.9.71-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 2.9.70-1mamba
- automatic version update by autodist

* Sun May 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.0.20200531-1mamba
- update to 2.9.0.20200531

* Mon Dec 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.0.20181224git-1mamba
- update to 2.9.0.20181224git

* Mon Dec 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.0-3mamba
- rebuilt

* Tue Aug 07 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.0-2mamba
- rebuilt with libmygpo-qt 1.1.0

* Thu Mar 15 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.0-1mamba
- update to 2.9.0

* Fri Mar 25 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-5mamba
- rebuilt with libtag 1.10

* Tue Nov 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-4mamba
- rebuilt with libtag 1.9

* Tue Jun 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-3mamba
- rebuilt with mariadb to fix database problem since

* Thu May 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-2mamba
- ffmpeg 2.2 rebuild

* Fri Aug 16 2013 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Thu May 16 2013 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Sun Feb 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.0-2mamba
- rebuilt with libtag 1.8, liblastfm 1.0.3, gmock and clamz

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Thu Aug 16 2012 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- update to 2.6.0

* Mon Jan 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-2mamba
- rebuilt with libmygpo-qt 1.0.5

* Thu Dec 22 2011 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-3mamba
- rebuilt with libmtp 1.1.1

* Fri Oct 21 2011 Davide Madrisan <davide.madrisan@gmail.com> 2.4.3-2mamba
- rebuilt

* Mon Aug 01 2011 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic update by autodist

* Thu Jun 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-2mamba
- added requirement for libmyqpo-qt

* Mon May 09 2011 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic update by autodist

* Fri Apr 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-3mamba
- rebuilt with debug package

* Sun Jan 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-2mamba
- added built requirements libqca-devel, libofa-devel. Removed libphonon-qt4-devel

* Sat Jan 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1mamba
- update to 2.4.0

* Wed Dec 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.90-1mamba
- update to 2.3.90

* Tue Sep 21 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-1mamba
- update to 2.3.2

* Tue Jun 01 2010 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic update to 2.3.1 by autodist

* Thu Mar 18 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.3.0-1mamba
- update to 2.3.0
- require kdebase-runtime
- run update-desktop-database and gtk-update-icon-cache

* Sat Jan 23 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.2.2-2mamba
- rebuilt against qt-4.6

* Tue Jan 12 2010 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic update to 2.2.2 by autodist

* Sat Dec 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-2mamba
- increase release to allow upgrade from devell

* Tue Nov 17 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.2.1-1mamba
- update to 2.2.1

* Sat Oct 03 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.2.0-1mamba
- update to 2.2.0

* Tue Sep 29 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.1.90-1mamba
- update to 2.1.90 (2.2 RC 1 "Sunset Door")

* Thu Sep 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.80-1mamba
- update to 2.1.80

* Thu Sep 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.1-2mamba
- rebuilt with new location of kde4_xdgappsdir

* Tue Jun 30 2009 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic update to 2.1.1 by autodist

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 2.1-4mamba
- automatic rebuild by autodist

* Sat Jun 27 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.1-3mamba
- amarok requires qtscriptgenerator

* Mon Jun 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-2mamba
- rename to amarok and obsolete KDE3 version

* Mon Jun 08 2009 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic update to 2.1 by autodist

* Wed Mar 11 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.0.2-1mamba
- update to 2.0.2

* Wed Feb 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1.1-3mamba
- automatic rebuild by autodist

* Mon Feb 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1.1-2mamba
- automatic rebuild by autodist

* Mon Jan 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1.1-1mamba
- automatic update to 2.0.1.1 by autodist

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Mon Dec 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- automatic update by autodist

* Thu Dec 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-1mamba
- update to 1.98

* Fri Aug 29 2008 gil <puntogil@libero.it> 1.4.10-2mamba
- rebuilt with new: libgpod 0.6.0; libxine 1.1.15-2mamba; libjack 0.109.2 .
- without-included-sqlite added options to configure 

* Mon Aug 25 2008 Aleph0 <aleph0@openmamba.org> 1.4.10-1mamba
- update to 1.4.10

* Thu Jul 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.9.1-2mamba
- rebuilt against libmtp 0.2.6
- built with iRiver ifp library (libifp)

* Mon Apr 14 2008 Aleph0 <aleph0@openmamba.org> 1.4.9.1-1mamba
- update to 1.4.9.1

* Sun Dec 23 2007 Aleph0 <aleph0@openmamba.org> 1.4.8-1mamba
- update to 1.4.8

* Thu Nov 22 2007 Aleph0 <aleph0@openmamba.org> 1.4.7-3mamba
- rebuilt against new libmtp

* Sun Sep 02 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.7-2mamba
- rebuild against libgpod 0.52

* Tue Aug 14 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.7-1mamba
- update to 1.4.7
- added libkarma requirement

* Mon Jun 18 2007 Aleph0 <aleph0@openmamba.org> 1.4.6-1mamba
- update to 1.4.6

* Fri Feb 09 2007 Aleph0 <aleph0@openmamba.org> 1.4.5-1qilnx
- update to version 1.4.5 by autospec
- rebuilt with the new installation prefix /opt/kde3
- requires moodbar

* Tue Oct 31 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.4-1qilnx
- update to version 1.4.4 by autospec

* Fri Sep 29 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.4.3-2qilnx
- fixed for KDE 3.5.3
- added missing build requirements

* Tue Sep 05 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.3-1qilnx
- update to version 1.4.3 by autospec

* Mon Sep 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.2-1qilnx
- update to version 1.4.2 by autospec

* Mon Jul 10 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.1-1qilnx
- update to version 1.4.1 by autospec

* Mon Jun 19 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.0-3qilnx
- amarok needs libvisual-plugins

* Thu Jun 15 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.4.0-2qilnx
- rebuilt with new version of libtunepimp

* Fri May 19 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.0-1qilnx
- update to version 1.4.0
- package epoch incremented
- ruby is needed when building and running amarok 1.4
- new subpackage i18n-pl (Polish translation from amarok)

* Tue Apr 11 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4-1qilnx
- update to version 1.4beta3 by autospec

* Mon Jan 16 2006 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.8-1qilnx
- update to version 1.3.8 by autospec

* Wed Dec 07 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.7-1qilnx
- update to version 1.3.7 by autospec

* Tue Nov 22 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.6-3qilnx
- rebuilt temporary using internal sqlite

* Mon Nov 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.6-2qilnx
- added i18n packages

* Wed Nov 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.6-1qilnx
- update to version 1.3.6 by autospec

* Tue Oct 25 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.5-1qilnx
- update to version 1.3.5 by autospec

* Mon Oct 10 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.3-1qilnx
- update to version 1.3.3 by autospec

* Thu Sep 22 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.2-2qilnx
- specfile updates

* Wed Sep 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.2-1qilnx
- update to version 1.3.2 by autospec

* Tue Sep 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.1-1qilnx
- update to version 1.3.1 by autospec

* Tue Aug 23 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3-2qilnx
- buildrequires libmysql-devel

* Thu Aug 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1qilnx
- update to version 1.3 by autospec

* Thu Jun 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.4-1qilnx
- update to version 1.2.4 by autospec

* Mon Apr 04 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.3-1qilnx
- update to version 1.2.3 by autospec

* Mon Feb 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2-1qilnx
- update to version 1.2 by autospec

* Wed Oct 20 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.1-1qilnx
- update to version 1.1.1 by autospec
- added BuildRequirements: libvisual-devel, k3b-devel, libxine-devel,
  libjack-devel

* Wed Sep 01 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.2-1qilnx
- update to version 1.0.2 by autospec
- added BuildRequirement 'xmms-devel'

* Tue Mar 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.9-1qilnx
- rebuild with amarok-0.9

* Sun Dec 28 2003 Davide Madrisan <davide.madrisan@qilinux.it> 0.7.0-1qilnx
- first build
